"""This module holds the urls of the ``ideas`` app"""

from macrosurl import url

from . import views


app_name = 'ideas'

urlpatterns = [
    # ``Brainstorming`` related urls
    url(
        r'^brainstormings/create',
        views.BrainstormingCreateView.as_view(),
        name='brainstorming-create'
    ),
    url(
        r'^brainstormings/:brainstorming_uuid/',
        views.BrainstormingDetailView.as_view(),
        name='brainstorming-detail'
    ),
    url(
        r'^brainstormings/:brainstorming_uuid/update',
        views.BrainstormingUpdateView.as_view(),
        name='brainstorming-update'
    ),
    # ``QuestionWall`` related urls
    url(
        r'^questionwalls/create',
        views.QuestionWallCreateView.as_view(),
        name='questionwall-create'
    ),
    url(
        r'^questionwalls/:questionwall_uuid/',
        views.QuestionWallDetailView.as_view(),
        name='questionwall-detail'
    ),
    url(
        r'^questionwalls/:questionwall_uuid/update',
        views.QuestionWallUpdateView.as_view(),
        name='questionwall-update'
    ),
    # ``WordCloud`` related urls
    url(
        r'^wordcloud/create',
        views.WordCloudCreateView.as_view(),
        name='wordcloud-create'
    ),
    url(
        r'^wordcloud/:wordcloud_uuid/',
        views.WordCloudDetailView.as_view(),
        name='wordcloud-detail'
    ),
    url(
        r'^wordcloud/:wordcloud_uuid/update',
        views.WordCloudUpdateView.as_view(),
        name='wordcloud-update'
    ),
]
